Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface RegistryPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RegistryPackageImpl

    public interface RegistryPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

The schema for OASIS ebXML Registry Services The schema for OASIS ebXML Registry Information Model See http://www.w3.org/XML/1998/namespace.html and http://www.w3.org/TR/REC-xml for information about this namespace. This schema document describes the XML namespace, in a form suitable for import by other schema documents. Note that local names in this namespace are intended to be defined only by the World Wide Web Consortium or its subgroups. The following names are currently defined in this namespace and should not be used with conflicting semantics by any Working Group, specification, or document instance: base (as an attribute name): denotes an attribute whose value provides a URI to be used as the base for interpreting any relative URIs in the scope of the element on which it appears; its value is inherited. This name is reserved by virtue of its definition in the XML Base specification. id (as an attribute name): denotes an attribute whose value should be interpreted as if declared to be of type ID. The xml:id specification is not yet a W3C Recommendation, but this attribute is included here to facilitate experimentation with the mechanisms it proposes. Note that it is _not_ included in the specialAttrs attribute group. lang (as an attribute name): denotes an attribute whose value is a language code for the natural language of the content of any element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. space (as an attribute name): denotes an attribute whose value is a keyword indicating what whitespace processing discipline is intended for the content of the element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. Father (in any context at all): denotes Jon Bosak, the chair of the original XML Working Group. This name is reserved by the following decision of the W3C XML Plenary and XML Coordination groups: In appreciation for his vision, leadership and dedication the W3C XML Plenary on this 10th day of February, 2000 reserves for Jon Bosak in perpetuity the XML name xml:Father This schema defines attributes and an attribute group suitable for use by schemas wishing to allow xml:base, xml:lang, xml:space or xml:id attributes on elements they define. To enable this, such a schema must import this schema for the XML namespace, e.g. as follows: <schema . . .> . . . <import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="http://www.w3.org/2001/xml.xsd"/> Subsequently, qualified reference to any of the attributes or the group defined below will have the desired effect, e.g. <type . . .> . . . <attributeGroup ref="xml:specialAttrs"/> will define a type which will schema-validate an instance element with any of those attributes In keeping with the XML Schema WG's standard versioning policy, this schema document will persist at http://www.w3.org/2005/08/xml.xsd. At the date of issue it can also be found at http://www.w3.org/2001/xml.xsd. The schema document at that URI may however change in the future, in order to remain compatible with the latest version of XML Schema itself, or with the XML namespace itself. In other words, if the XML Schema or XML namespaces change, the version of this document at http://www.w3.org/2001/xml.xsd will change accordingly; the version at http://www.w3.org/2005/08/xml.xsd will not change.

See Also:
  `RegistryFactory`

Nested Class Summary
`static interface` | `RegistryPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `ADD_SLOTS_REQUEST_TYPE` The meta object id for the '`Add Slots Request Type`' class.
`static int` | `ADD_SLOTS_REQUEST_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference.
`static int` | `ADD_SLOTS_REQUEST_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `ADD_SLOTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Add Slots Request Type' class.
`static int` | `APPROVE_OBJECTS_REQUEST_TYPE` The meta object id for the '`Approve Objects Request Type`' class.
`static int` | `APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The feature id for the 'Object Ref List' containment reference.
`static int` | `APPROVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Approve Objects Request Type' class.
`static int` | `DELETION_SCOPE_TYPE` The meta object id for the '`Deletion Scope Type`' enum.
`static int` | `DELETION_SCOPE_TYPE_OBJECT` The meta object id for the 'Deletion Scope Type Object' data type.
`static int` | `DEPRECATE_OBJECTS_REQUEST_TYPE` The meta object id for the '`Deprecate Objects Request Type`' class.
`static int` | `DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The feature id for the 'Object Ref List' containment reference.
`static int` | `DEPRECATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Deprecate Objects Request Type' class.
`static int` | `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class.
`static int` | `DOCUMENT_ROOT__ADD_SLOTS_REQUEST` The feature id for the 'Add Slots Request' containment reference.
`static int` | `DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST` The feature id for the 'Approve Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST` The feature id for the 'Deprecate Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list.
`static int` | `DOCUMENT_ROOT__OPTIONAL_FEATURES_SUPPORTED` The feature id for the 'Optional Features Supported' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_ERROR` The feature id for the 'Registry Error' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_ERROR_LIST` The feature id for the 'Registry Error List' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_PROFILE` The feature id for the 'Registry Profile' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_RESPONSE` The feature id for the 'Registry Response' containment reference.
`static int` | `DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST` The feature id for the 'Remove Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__REMOVE_SLOTS_REQUEST` The feature id for the 'Remove Slots Request' containment reference.
`static int` | `DOCUMENT_ROOT__REQUEST_ACCEPTED_RESPONSE` The feature id for the 'Request Accepted Response' containment reference.
`static int` | `DOCUMENT_ROOT__ROOT_ELEMENT` The feature id for the 'Root Element' containment reference.
`static int` | `DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST` The feature id for the 'Submit Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST` The feature id for the 'Update Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map.
`static int` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map.
`static int` | `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class.
`static RegistryPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `ERROR_TYPE` The meta object id for the '`Error Type`' enum.
`static int` | `ERROR_TYPE_OBJECT` The meta object id for the 'Error Type Object' data type.
`static int` | `OPTIONAL_FEATURES_SUPPORTED_TYPE` The meta object id for the '`Optional Features Supported Type`' class.
`static int` | `OPTIONAL_FEATURES_SUPPORTED_TYPE__SQL_QUERY` The feature id for the 'Sql Query' attribute.
`static int` | `OPTIONAL_FEATURES_SUPPORTED_TYPE__XQUERY` The feature id for the 'XQuery' attribute.
`static int` | `OPTIONAL_FEATURES_SUPPORTED_TYPE_FEATURE_COUNT` The number of structural features of the 'Optional Features Supported Type' class.
`static int` | `REGISTRY_ERROR_LIST_TYPE` The meta object id for the '`Error List Type`' class.
`static int` | `REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY` The feature id for the 'Highest Severity' attribute.
`static int` | `REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR` The feature id for the 'Registry Error' containment reference list.
`static int` | `REGISTRY_ERROR_LIST_TYPE_FEATURE_COUNT` The number of structural features of the 'Error List Type' class.
`static int` | `REGISTRY_ERROR_TYPE` The meta object id for the '`Error Type`' class.
`static int` | `REGISTRY_ERROR_TYPE__CODE_CONTEXT` The feature id for the 'Code Context' attribute.
`static int` | `REGISTRY_ERROR_TYPE__ERROR_CODE` The feature id for the 'Error Code' attribute.
`static int` | `REGISTRY_ERROR_TYPE__LOCATION` The feature id for the 'Location' attribute.
`static int` | `REGISTRY_ERROR_TYPE__SEVERITY` The feature id for the 'Severity' attribute.
`static int` | `REGISTRY_ERROR_TYPE__VALUE` The feature id for the 'Value' attribute.
`static int` | `REGISTRY_ERROR_TYPE_FEATURE_COUNT` The number of structural features of the 'Error Type' class.
`static int` | `REGISTRY_PROFILE_TYPE` The meta object id for the '`Profile Type`' class.
`static int` | `REGISTRY_PROFILE_TYPE__OPTIONAL_FEATURES_SUPPORTED` The feature id for the 'Optional Features Supported' containment reference.
`static int` | `REGISTRY_PROFILE_TYPE__VERSION` The feature id for the 'Version' attribute.
`static int` | `REGISTRY_PROFILE_TYPE_FEATURE_COUNT` The number of structural features of the 'Profile Type' class.
`static int` | `REGISTRY_RESPONSE_TYPE` The meta object id for the '`Response Type`' class.
`static int` | `REGISTRY_RESPONSE_TYPE__ADHOC_QUERY_RESPONSE` The feature id for the 'Adhoc Query Response' containment reference.
`static int` | `REGISTRY_RESPONSE_TYPE__GET_CONTENT_RESPONSE` The feature id for the 'Get Content Response' containment reference.
`static int` | `REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST` The feature id for the 'Registry Error List' containment reference.
`static int` | `REGISTRY_RESPONSE_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `REGISTRY_RESPONSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Response Type' class.
`static int` | `REMOVE_OBJECTS_REQUEST_TYPE` The meta object id for the '`Remove Objects Request Type`' class.
`static int` | `REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE` The feature id for the 'Deletion Scope' attribute.
`static int` | `REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The feature id for the 'Object Ref List' containment reference.
`static int` | `REMOVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Remove Objects Request Type' class.
`static int` | `REMOVE_SLOTS_REQUEST_TYPE` The meta object id for the '`Remove Slots Request Type`' class.
`static int` | `REMOVE_SLOTS_REQUEST_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference.
`static int` | `REMOVE_SLOTS_REQUEST_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `REMOVE_SLOTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Remove Slots Request Type' class.
`static int` | `REQUEST_ACCEPTED_RESPONSE_TYPE` The meta object id for the '`Request Accepted Response Type`' class.
`static int` | `REQUEST_ACCEPTED_RESPONSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Request Accepted Response Type' class.
`static int` | `ROOT_ELEMENT_TYPE` The meta object id for the '`Root Element Type`' class.
`static int` | `ROOT_ELEMENT_TYPE__ADD_SLOTS_REQUEST` The feature id for the 'Add Slots Request' containment reference.
`static int` | `ROOT_ELEMENT_TYPE__ADHOC_QUERY_REQUEST` The feature id for the 'Adhoc Query Request' containment reference.
`static int` | `ROOT_ELEMENT_TYPE__APPROVE_OBJECTS_REQUEST` The feature id for the 'Approve Objects Request' containment reference.
`static int` | `ROOT_ELEMENT_TYPE__DEPRECATE_OBJECTS_REQUEST` The feature id for the 'Deprecate Objects Request' containment reference.
`static int` | `ROOT_ELEMENT_TYPE__GET_CONTENT_REQUEST` The feature id for the 'Get Content Request' containment reference.
`static int` | `ROOT_ELEMENT_TYPE__REGISTRY_PROFILE` The feature id for the 'Registry Profile' containment reference.
`static int` | `ROOT_ELEMENT_TYPE__REGISTRY_RESPONSE` The feature id for the 'Registry Response' containment reference.
`static int` | `ROOT_ELEMENT_TYPE__REMOVE_OBJECTS_REQUEST` The feature id for the 'Remove Objects Request' containment reference.
`static int` | `ROOT_ELEMENT_TYPE__REMOVE_SLOTS_REQUEST` The feature id for the 'Remove Slots Request' containment reference.
`static int` | `ROOT_ELEMENT_TYPE__SUBMIT_OBJECTS_REQUEST` The feature id for the 'Submit Objects Request' containment reference.
`static int` | `ROOT_ELEMENT_TYPE__UPDATE_OBJECTS_REQUEST` The feature id for the 'Update Objects Request' containment reference.
`static int` | `ROOT_ELEMENT_TYPE_FEATURE_COUNT` The number of structural features of the 'Root Element Type' class.
`static int` | `STATUS_TYPE` The meta object id for the '`Status Type`' enum.
`static int` | `STATUS_TYPE_OBJECT` The meta object id for the 'Status Type Object' data type.
`static int` | `SUBMIT_OBJECTS_REQUEST_TYPE` The meta object id for the '`Submit Objects Request Type`' class.
`static int` | `SUBMIT_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST` The feature id for the 'Leaf Registry Object List' containment reference.
`static int` | `SUBMIT_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Submit Objects Request Type' class.
`static int` | `UPDATE_OBJECTS_REQUEST_TYPE` The meta object id for the '`Update Objects Request Type`' class.
`static int` | `UPDATE_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST` The feature id for the 'Leaf Registry Object List' containment reference.
`static int` | `UPDATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Update Objects Request Type' class.

Method Summary
`org.eclipse.emf.ecore.EReference` | `getAddSlotsRequestType_ObjectRef()` Returns the meta object for the containment reference '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getAddSlotsRequestType_Slot()` Returns the meta object for the containment reference list '`Slot`'.
`org.eclipse.emf.ecore.EClass` | `getAddSlotsRequestType()` Returns the meta object for class '`Add Slots Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getApproveObjectsRequestType_ObjectRefList()` Returns the meta object for the containment reference '`Object Ref List`'.
`org.eclipse.emf.ecore.EClass` | `getApproveObjectsRequestType()` Returns the meta object for class '`Approve Objects Request Type`'.
`org.eclipse.emf.ecore.EEnum` | `getDeletionScopeType()` Returns the meta object for enum '`Deletion Scope Type`'.
`org.eclipse.emf.ecore.EDataType` | `getDeletionScopeTypeObject()` Returns the meta object for data type '`Deletion Scope Type Object`'.
`org.eclipse.emf.ecore.EReference` | `getDeprecateObjectsRequestType_ObjectRefList()` Returns the meta object for the containment reference '`Object Ref List`'.
`org.eclipse.emf.ecore.EClass` | `getDeprecateObjectsRequestType()` Returns the meta object for class '`Deprecate Objects Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AddSlotsRequest()` Returns the meta object for the containment reference '`Add Slots Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ApproveObjectsRequest()` Returns the meta object for the containment reference '`Approve Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_DeprecateObjectsRequest()` Returns the meta object for the containment reference '`Deprecate Objects Request`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OptionalFeaturesSupported()` Returns the meta object for the containment reference '`Optional Features Supported`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryError()` Returns the meta object for the containment reference '`Registry Error`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryErrorList()` Returns the meta object for the containment reference '`Registry Error List`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryProfile()` Returns the meta object for the containment reference '`Registry Profile`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryResponse()` Returns the meta object for the containment reference '`Registry Response`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RemoveObjectsRequest()` Returns the meta object for the containment reference '`Remove Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RemoveSlotsRequest()` Returns the meta object for the containment reference '`Remove Slots Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RequestAcceptedResponse()` Returns the meta object for the containment reference '`Request Accepted Response`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RootElement()` Returns the meta object for the containment reference '`Root Element`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SubmitObjectsRequest()` Returns the meta object for the containment reference '`Submit Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UpdateObjectsRequest()` Returns the meta object for the containment reference '`Update Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'.
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()` Returns the meta object for class '`Document Root`'.
`org.eclipse.emf.ecore.EEnum` | `getErrorType()` Returns the meta object for enum '`Error Type`'.
`org.eclipse.emf.ecore.EDataType` | `getErrorTypeObject()` Returns the meta object for data type '`Error Type Object`'.
`org.eclipse.emf.ecore.EAttribute` | `getOptionalFeaturesSupportedType_SqlQuery()` Returns the meta object for the attribute '`Sql Query`'.
`org.eclipse.emf.ecore.EAttribute` | `getOptionalFeaturesSupportedType_XQuery()` Returns the meta object for the attribute '`XQuery`'.
`org.eclipse.emf.ecore.EClass` | `getOptionalFeaturesSupportedType()` Returns the meta object for class '`Optional Features Supported Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorListType_HighestSeverity()` Returns the meta object for the attribute '`Highest Severity`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryErrorListType_RegistryError()` Returns the meta object for the containment reference list '`Registry Error`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryErrorListType()` Returns the meta object for class '`Error List Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_CodeContext()` Returns the meta object for the attribute '`Code Context`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_ErrorCode()` Returns the meta object for the attribute '`Error Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_Location()` Returns the meta object for the attribute '`Location`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_Severity()` Returns the meta object for the attribute '`Severity`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryErrorType()` Returns the meta object for class '`Error Type`'.
`RegistryFactory` | `getRegistryFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getRegistryProfileType_OptionalFeaturesSupported()` Returns the meta object for the containment reference '`Optional Features Supported`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryProfileType_Version()` Returns the meta object for the attribute '`Version`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryProfileType()` Returns the meta object for class '`Profile Type`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryResponseType_AdhocQueryResponse()` Returns the meta object for the containment reference '`Adhoc Query Response`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryResponseType_GetContentResponse()` Returns the meta object for the containment reference '`Get Content Response`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryResponseType_RegistryErrorList()` Returns the meta object for the containment reference '`Registry Error List`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryResponseType_Status()` Returns the meta object for the attribute '`Status`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryResponseType()` Returns the meta object for class '`Response Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getRemoveObjectsRequestType_DeletionScope()` Returns the meta object for the attribute '`Deletion Scope`'.
`org.eclipse.emf.ecore.EReference` | `getRemoveObjectsRequestType_ObjectRefList()` Returns the meta object for the containment reference '`Object Ref List`'.
`org.eclipse.emf.ecore.EClass` | `getRemoveObjectsRequestType()` Returns the meta object for class '`Remove Objects Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getRemoveSlotsRequestType_ObjectRef()` Returns the meta object for the containment reference '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getRemoveSlotsRequestType_Slot()` Returns the meta object for the containment reference list '`Slot`'.
`org.eclipse.emf.ecore.EClass` | `getRemoveSlotsRequestType()` Returns the meta object for class '`Remove Slots Request Type`'.
`org.eclipse.emf.ecore.EClass` | `getRequestAcceptedResponseType()` Returns the meta object for class '`Request Accepted Response Type`'.
`org.eclipse.emf.ecore.EReference` | `getRootElementType_AddSlotsRequest()` Returns the meta object for the containment reference '`Add Slots Request`'.
`org.eclipse.emf.ecore.EReference` | `getRootElementType_AdhocQueryRequest()` Returns the meta object for the containment reference '`Adhoc Query Request`'.
`org.eclipse.emf.ecore.EReference` | `getRootElementType_ApproveObjectsRequest()` Returns the meta object for the containment reference '`Approve Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getRootElementType_DeprecateObjectsRequest()` Returns the meta object for the containment reference '`Deprecate Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getRootElementType_GetContentRequest()` Returns the meta object for the containment reference '`Get Content Request`'.
`org.eclipse.emf.ecore.EReference` | `getRootElementType_RegistryProfile()` Returns the meta object for the containment reference '`Registry Profile`'.
`org.eclipse.emf.ecore.EReference` | `getRootElementType_RegistryResponse()` Returns the meta object for the containment reference '`Registry Response`'.
`org.eclipse.emf.ecore.EReference` | `getRootElementType_RemoveObjectsRequest()` Returns the meta object for the containment reference '`Remove Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getRootElementType_RemoveSlotsRequest()` Returns the meta object for the containment reference '`Remove Slots Request`'.
`org.eclipse.emf.ecore.EReference` | `getRootElementType_SubmitObjectsRequest()` Returns the meta object for the containment reference '`Submit Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getRootElementType_UpdateObjectsRequest()` Returns the meta object for the containment reference '`Update Objects Request`'.
`org.eclipse.emf.ecore.EClass` | `getRootElementType()` Returns the meta object for class '`Root Element Type`'.
`org.eclipse.emf.ecore.EEnum` | `getStatusType()` Returns the meta object for enum '`Status Type`'.
`org.eclipse.emf.ecore.EDataType` | `getStatusTypeObject()` Returns the meta object for data type '`Status Type Object`'.
`org.eclipse.emf.ecore.EReference` | `getSubmitObjectsRequestType_LeafRegistryObjectList()` Returns the meta object for the containment reference '`Leaf Registry Object List`'.
`org.eclipse.emf.ecore.EClass` | `getSubmitObjectsRequestType()` Returns the meta object for class '`Submit Objects Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getUpdateObjectsRequestType_LeafRegistryObjectList()` Returns the meta object for the containment reference '`Leaf Registry Object List`'.
`org.eclipse.emf.ecore.EClass` | `getUpdateObjectsRequestType()` Returns the meta object for class '`Update Objects Request Type`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final RegistryPackage eINSTANCE

  The singleton instance of the package.

### ADD_SLOTS_REQUEST_TYPE

    static final int ADD_SLOTS_REQUEST_TYPE

  The meta object id for the '`Add Slots Request Type`' class.

  See Also:
    `AddSlotsRequestTypeImpl`, `RegistryPackageImpl.getAddSlotsRequestType()`, Constant Field Values

### ADD_SLOTS_REQUEST_TYPE__OBJECT_REF

    static final int ADD_SLOTS_REQUEST_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference.

  See Also:
    Constant Field Values

### ADD_SLOTS_REQUEST_TYPE__SLOT

    static final int ADD_SLOTS_REQUEST_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### ADD_SLOTS_REQUEST_TYPE_FEATURE_COUNT

    static final int ADD_SLOTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Add Slots Request Type' class.

  See Also:
    Constant Field Values

### APPROVE_OBJECTS_REQUEST_TYPE

    static final int APPROVE_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Approve Objects Request Type`' class.

  See Also:
    `ApproveObjectsRequestTypeImpl`, `RegistryPackageImpl.getApproveObjectsRequestType()`, Constant Field Values

### APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final int APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The feature id for the 'Object Ref List' containment reference.

  See Also:
    Constant Field Values

### APPROVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int APPROVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Approve Objects Request Type' class.

  See Also:
    Constant Field Values

### DEPRECATE_OBJECTS_REQUEST_TYPE

    static final int DEPRECATE_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Deprecate Objects Request Type`' class.

  See Also:
    `DeprecateObjectsRequestTypeImpl`, `RegistryPackageImpl.getDeprecateObjectsRequestType()`, Constant Field Values

### DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final int DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The feature id for the 'Object Ref List' containment reference.

  See Also:
    Constant Field Values

### DEPRECATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int DEPRECATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Deprecate Objects Request Type' class.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `RegistryPackageImpl.getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__MIXED

    static final int DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ADD_SLOTS_REQUEST

    static final int DOCUMENT_ROOT__ADD_SLOTS_REQUEST

  The feature id for the 'Add Slots Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST

  The feature id for the 'Approve Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST

  The feature id for the 'Deprecate Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__OPTIONAL_FEATURES_SUPPORTED

    static final int DOCUMENT_ROOT__OPTIONAL_FEATURES_SUPPORTED

  The feature id for the 'Optional Features Supported' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_ERROR

    static final int DOCUMENT_ROOT__REGISTRY_ERROR

  The feature id for the 'Registry Error' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_ERROR_LIST

    static final int DOCUMENT_ROOT__REGISTRY_ERROR_LIST

  The feature id for the 'Registry Error List' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_PROFILE

    static final int DOCUMENT_ROOT__REGISTRY_PROFILE

  The feature id for the 'Registry Profile' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_RESPONSE

    static final int DOCUMENT_ROOT__REGISTRY_RESPONSE

  The feature id for the 'Registry Response' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST

  The feature id for the 'Remove Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REMOVE_SLOTS_REQUEST

    static final int DOCUMENT_ROOT__REMOVE_SLOTS_REQUEST

  The feature id for the 'Remove Slots Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REQUEST_ACCEPTED_RESPONSE

    static final int DOCUMENT_ROOT__REQUEST_ACCEPTED_RESPONSE

  The feature id for the 'Request Accepted Response' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ROOT_ELEMENT

    static final int DOCUMENT_ROOT__ROOT_ELEMENT

  The feature id for the 'Root Element' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST

  The feature id for the 'Submit Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST

  The feature id for the 'Update Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### OPTIONAL_FEATURES_SUPPORTED_TYPE

    static final int OPTIONAL_FEATURES_SUPPORTED_TYPE

  The meta object id for the '`Optional Features Supported Type`' class.

  See Also:
    `OptionalFeaturesSupportedTypeImpl`, `RegistryPackageImpl.getOptionalFeaturesSupportedType()`, Constant Field Values

### OPTIONAL_FEATURES_SUPPORTED_TYPE__SQL_QUERY

    static final int OPTIONAL_FEATURES_SUPPORTED_TYPE__SQL_QUERY

  The feature id for the 'Sql Query' attribute.

  See Also:
    Constant Field Values

### OPTIONAL_FEATURES_SUPPORTED_TYPE__XQUERY

    static final int OPTIONAL_FEATURES_SUPPORTED_TYPE__XQUERY

  The feature id for the 'XQuery' attribute.

  See Also:
    Constant Field Values

### OPTIONAL_FEATURES_SUPPORTED_TYPE_FEATURE_COUNT

    static final int OPTIONAL_FEATURES_SUPPORTED_TYPE_FEATURE_COUNT

  The number of structural features of the 'Optional Features Supported Type' class.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_LIST_TYPE

    static final int REGISTRY_ERROR_LIST_TYPE

  The meta object id for the '`Error List Type`' class.

  See Also:
    `RegistryErrorListTypeImpl`, `RegistryPackageImpl.getRegistryErrorListType()`, Constant Field Values

### REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR

    static final int REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR

  The feature id for the 'Registry Error' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY

    static final int REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY

  The feature id for the 'Highest Severity' attribute.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_LIST_TYPE_FEATURE_COUNT

    static final int REGISTRY_ERROR_LIST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Error List Type' class.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_TYPE

    static final int REGISTRY_ERROR_TYPE

  The meta object id for the '`Error Type`' class.

  See Also:
    `RegistryErrorTypeImpl`, `RegistryPackageImpl.getRegistryErrorType()`, Constant Field Values

### REGISTRY_ERROR_TYPE__VALUE

    static final int REGISTRY_ERROR_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_TYPE__CODE_CONTEXT

    static final int REGISTRY_ERROR_TYPE__CODE_CONTEXT

  The feature id for the 'Code Context' attribute.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_TYPE__ERROR_CODE

    static final int REGISTRY_ERROR_TYPE__ERROR_CODE

  The feature id for the 'Error Code' attribute.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_TYPE__LOCATION

    static final int REGISTRY_ERROR_TYPE__LOCATION

  The feature id for the 'Location' attribute.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_TYPE__SEVERITY

    static final int REGISTRY_ERROR_TYPE__SEVERITY

  The feature id for the 'Severity' attribute.

  See Also:
    Constant Field Values

### REGISTRY_ERROR_TYPE_FEATURE_COUNT

    static final int REGISTRY_ERROR_TYPE_FEATURE_COUNT

  The number of structural features of the 'Error Type' class.

  See Also:
    Constant Field Values

### REGISTRY_PROFILE_TYPE

    static final int REGISTRY_PROFILE_TYPE

  The meta object id for the '`Profile Type`' class.

  See Also:
    `RegistryProfileTypeImpl`, `RegistryPackageImpl.getRegistryProfileType()`, Constant Field Values

### REGISTRY_PROFILE_TYPE__OPTIONAL_FEATURES_SUPPORTED

    static final int REGISTRY_PROFILE_TYPE__OPTIONAL_FEATURES_SUPPORTED

  The feature id for the 'Optional Features Supported' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PROFILE_TYPE__VERSION

    static final int REGISTRY_PROFILE_TYPE__VERSION

  The feature id for the 'Version' attribute.

  See Also:
    Constant Field Values

### REGISTRY_PROFILE_TYPE_FEATURE_COUNT

    static final int REGISTRY_PROFILE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Profile Type' class.

  See Also:
    Constant Field Values

### REGISTRY_RESPONSE_TYPE

    static final int REGISTRY_RESPONSE_TYPE

  The meta object id for the '`Response Type`' class.

  See Also:
    `RegistryResponseTypeImpl`, `RegistryPackageImpl.getRegistryResponseType()`, Constant Field Values

### REGISTRY_RESPONSE_TYPE__ADHOC_QUERY_RESPONSE

    static final int REGISTRY_RESPONSE_TYPE__ADHOC_QUERY_RESPONSE

  The feature id for the 'Adhoc Query Response' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_RESPONSE_TYPE__GET_CONTENT_RESPONSE

    static final int REGISTRY_RESPONSE_TYPE__GET_CONTENT_RESPONSE

  The feature id for the 'Get Content Response' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST

    static final int REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST

  The feature id for the 'Registry Error List' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_RESPONSE_TYPE__STATUS

    static final int REGISTRY_RESPONSE_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### REGISTRY_RESPONSE_TYPE_FEATURE_COUNT

    static final int REGISTRY_RESPONSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Response Type' class.

  See Also:
    Constant Field Values

### REMOVE_OBJECTS_REQUEST_TYPE

    static final int REMOVE_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Remove Objects Request Type`' class.

  See Also:
    `RemoveObjectsRequestTypeImpl`, `RegistryPackageImpl.getRemoveObjectsRequestType()`, Constant Field Values

### REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final int REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The feature id for the 'Object Ref List' containment reference.

  See Also:
    Constant Field Values

### REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE

    static final int REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE

  The feature id for the 'Deletion Scope' attribute.

  See Also:
    Constant Field Values

### REMOVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int REMOVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Remove Objects Request Type' class.

  See Also:
    Constant Field Values

### REMOVE_SLOTS_REQUEST_TYPE

    static final int REMOVE_SLOTS_REQUEST_TYPE

  The meta object id for the '`Remove Slots Request Type`' class.

  See Also:
    `RemoveSlotsRequestTypeImpl`, `RegistryPackageImpl.getRemoveSlotsRequestType()`, Constant Field Values

### REMOVE_SLOTS_REQUEST_TYPE__OBJECT_REF

    static final int REMOVE_SLOTS_REQUEST_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference.

  See Also:
    Constant Field Values

### REMOVE_SLOTS_REQUEST_TYPE__SLOT

    static final int REMOVE_SLOTS_REQUEST_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### REMOVE_SLOTS_REQUEST_TYPE_FEATURE_COUNT

    static final int REMOVE_SLOTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Remove Slots Request Type' class.

  See Also:
    Constant Field Values

### REQUEST_ACCEPTED_RESPONSE_TYPE

    static final int REQUEST_ACCEPTED_RESPONSE_TYPE

  The meta object id for the '`Request Accepted Response Type`' class.

  See Also:
    `RequestAcceptedResponseTypeImpl`, `RegistryPackageImpl.getRequestAcceptedResponseType()`, Constant Field Values

### REQUEST_ACCEPTED_RESPONSE_TYPE_FEATURE_COUNT

    static final int REQUEST_ACCEPTED_RESPONSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Request Accepted Response Type' class.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_TYPE

    static final int ROOT_ELEMENT_TYPE

  The meta object id for the '`Root Element Type`' class.

  See Also:
    `RootElementTypeImpl`, `RegistryPackageImpl.getRootElementType()`, Constant Field Values

### ROOT_ELEMENT_TYPE__SUBMIT_OBJECTS_REQUEST

    static final int ROOT_ELEMENT_TYPE__SUBMIT_OBJECTS_REQUEST

  The feature id for the 'Submit Objects Request' containment reference.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_TYPE__UPDATE_OBJECTS_REQUEST

    static final int ROOT_ELEMENT_TYPE__UPDATE_OBJECTS_REQUEST

  The feature id for the 'Update Objects Request' containment reference.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_TYPE__APPROVE_OBJECTS_REQUEST

    static final int ROOT_ELEMENT_TYPE__APPROVE_OBJECTS_REQUEST

  The feature id for the 'Approve Objects Request' containment reference.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_TYPE__DEPRECATE_OBJECTS_REQUEST

    static final int ROOT_ELEMENT_TYPE__DEPRECATE_OBJECTS_REQUEST

  The feature id for the 'Deprecate Objects Request' containment reference.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_TYPE__REMOVE_OBJECTS_REQUEST

    static final int ROOT_ELEMENT_TYPE__REMOVE_OBJECTS_REQUEST

  The feature id for the 'Remove Objects Request' containment reference.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_TYPE__ADHOC_QUERY_REQUEST

    static final int ROOT_ELEMENT_TYPE__ADHOC_QUERY_REQUEST

  The feature id for the 'Adhoc Query Request' containment reference.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_TYPE__GET_CONTENT_REQUEST

    static final int ROOT_ELEMENT_TYPE__GET_CONTENT_REQUEST

  The feature id for the 'Get Content Request' containment reference.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_TYPE__ADD_SLOTS_REQUEST

    static final int ROOT_ELEMENT_TYPE__ADD_SLOTS_REQUEST

  The feature id for the 'Add Slots Request' containment reference.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_TYPE__REMOVE_SLOTS_REQUEST

    static final int ROOT_ELEMENT_TYPE__REMOVE_SLOTS_REQUEST

  The feature id for the 'Remove Slots Request' containment reference.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_TYPE__REGISTRY_RESPONSE

    static final int ROOT_ELEMENT_TYPE__REGISTRY_RESPONSE

  The feature id for the 'Registry Response' containment reference.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_TYPE__REGISTRY_PROFILE

    static final int ROOT_ELEMENT_TYPE__REGISTRY_PROFILE

  The feature id for the 'Registry Profile' containment reference.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_TYPE_FEATURE_COUNT

    static final int ROOT_ELEMENT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Root Element Type' class.

  See Also:
    Constant Field Values

### SUBMIT_OBJECTS_REQUEST_TYPE

    static final int SUBMIT_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Submit Objects Request Type`' class.

  See Also:
    `SubmitObjectsRequestTypeImpl`, `RegistryPackageImpl.getSubmitObjectsRequestType()`, Constant Field Values

### SUBMIT_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST

    static final int SUBMIT_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST

  The feature id for the 'Leaf Registry Object List' containment reference.

  See Also:
    Constant Field Values

### SUBMIT_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int SUBMIT_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Submit Objects Request Type' class.

  See Also:
    Constant Field Values

### UPDATE_OBJECTS_REQUEST_TYPE

    static final int UPDATE_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Update Objects Request Type`' class.

  See Also:
    `UpdateObjectsRequestTypeImpl`, `RegistryPackageImpl.getUpdateObjectsRequestType()`, Constant Field Values

### UPDATE_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST

    static final int UPDATE_OBJECTS_REQUEST_TYPE__LEAF_REGISTRY_OBJECT_LIST

  The feature id for the 'Leaf Registry Object List' containment reference.

  See Also:
    Constant Field Values

### UPDATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int UPDATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Update Objects Request Type' class.

  See Also:
    Constant Field Values

### DELETION_SCOPE_TYPE

    static final int DELETION_SCOPE_TYPE

  The meta object id for the '`Deletion Scope Type`' enum.

  See Also:
    `DeletionScopeType`, `RegistryPackageImpl.getDeletionScopeType()`, Constant Field Values

### ERROR_TYPE

    static final int ERROR_TYPE

  The meta object id for the '`Error Type`' enum.

  See Also:
    `ErrorType`, `RegistryPackageImpl.getErrorType()`, Constant Field Values

### STATUS_TYPE

    static final int STATUS_TYPE

  The meta object id for the '`Status Type`' enum.

  See Also:
    `StatusType`, `RegistryPackageImpl.getStatusType()`, Constant Field Values

### DELETION_SCOPE_TYPE_OBJECT

    static final int DELETION_SCOPE_TYPE_OBJECT

  The meta object id for the 'Deletion Scope Type Object' data type.

  See Also:
    `DeletionScopeType`, `RegistryPackageImpl.getDeletionScopeTypeObject()`, Constant Field Values

### ERROR_TYPE_OBJECT

    static final int ERROR_TYPE_OBJECT

  The meta object id for the 'Error Type Object' data type.

  See Also:
    `ErrorType`, `RegistryPackageImpl.getErrorTypeObject()`, Constant Field Values

### STATUS_TYPE_OBJECT

    static final int STATUS_TYPE_OBJECT

  The meta object id for the 'Status Type Object' data type.

  See Also:
    `StatusType`, `RegistryPackageImpl.getStatusTypeObject()`, Constant Field Values

Method Detail

### getAddSlotsRequestType

    org.eclipse.emf.ecore.EClass getAddSlotsRequestType()

  Returns the meta object for class '`Add Slots Request Type`'.

  Returns:
    the meta object for class 'Add Slots Request Type'.
  See Also:
    `AddSlotsRequestType`

### getAddSlotsRequestType_ObjectRef

    org.eclipse.emf.ecore.EReference getAddSlotsRequestType_ObjectRef()

  Returns the meta object for the containment reference '`Object Ref`'.

  Returns:
    the meta object for the containment reference 'Object Ref'.
  See Also:
    `AddSlotsRequestType.getObjectRef()`, `getAddSlotsRequestType()`

### getAddSlotsRequestType_Slot

    org.eclipse.emf.ecore.EReference getAddSlotsRequestType_Slot()

  Returns the meta object for the containment reference list '`Slot`'.

  Returns:
    the meta object for the containment reference list 'Slot'.
  See Also:
    `AddSlotsRequestType.getSlot()`, `getAddSlotsRequestType()`

### getApproveObjectsRequestType

    org.eclipse.emf.ecore.EClass getApproveObjectsRequestType()

  Returns the meta object for class '`Approve Objects Request Type`'.

  Returns:
    the meta object for class 'Approve Objects Request Type'.
  See Also:
    `ApproveObjectsRequestType`

### getApproveObjectsRequestType_ObjectRefList

    org.eclipse.emf.ecore.EReference getApproveObjectsRequestType_ObjectRefList()

  Returns the meta object for the containment reference '`Object Ref List`'.

  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `ApproveObjectsRequestType.getObjectRefList()`, `getApproveObjectsRequestType()`

### getDeprecateObjectsRequestType

    org.eclipse.emf.ecore.EClass getDeprecateObjectsRequestType()

  Returns the meta object for class '`Deprecate Objects Request Type`'.

  Returns:
    the meta object for class 'Deprecate Objects Request Type'.
  See Also:
    `DeprecateObjectsRequestType`

### getDeprecateObjectsRequestType_ObjectRefList

    org.eclipse.emf.ecore.EReference getDeprecateObjectsRequestType_ObjectRefList()

  Returns the meta object for the containment reference '`Object Ref List`'.

  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `DeprecateObjectsRequestType.getObjectRefList()`, `getDeprecateObjectsRequestType()`

### getDocumentRoot

    org.eclipse.emf.ecore.EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `getDocumentRoot()`

### getDocumentRoot_AddSlotsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_AddSlotsRequest()

  Returns the meta object for the containment reference '`Add Slots Request`'.

  Returns:
    the meta object for the containment reference 'Add Slots Request'.
  See Also:
    `DocumentRoot.getAddSlotsRequest()`, `getDocumentRoot()`

### getDocumentRoot_ApproveObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_ApproveObjectsRequest()

  Returns the meta object for the containment reference '`Approve Objects Request`'.

  Returns:
    the meta object for the containment reference 'Approve Objects Request'.
  See Also:
    `DocumentRoot.getApproveObjectsRequest()`, `getDocumentRoot()`

### getDocumentRoot_DeprecateObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_DeprecateObjectsRequest()

  Returns the meta object for the containment reference '`Deprecate Objects Request`'.

  Returns:
    the meta object for the containment reference 'Deprecate Objects Request'.
  See Also:
    `DocumentRoot.getDeprecateObjectsRequest()`, `getDocumentRoot()`

### getDocumentRoot_OptionalFeaturesSupported

    org.eclipse.emf.ecore.EReference getDocumentRoot_OptionalFeaturesSupported()

  Returns the meta object for the containment reference '`Optional Features Supported`'.

  Returns:
    the meta object for the containment reference 'Optional Features Supported'.
  See Also:
    `DocumentRoot.getOptionalFeaturesSupported()`, `getDocumentRoot()`

### getDocumentRoot_RegistryError

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryError()

  Returns the meta object for the containment reference '`Registry Error`'.

  Returns:
    the meta object for the containment reference 'Registry Error'.
  See Also:
    `DocumentRoot.getRegistryError()`, `getDocumentRoot()`

### getDocumentRoot_RegistryErrorList

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryErrorList()

  Returns the meta object for the containment reference '`Registry Error List`'.

  Returns:
    the meta object for the containment reference 'Registry Error List'.
  See Also:
    `DocumentRoot.getRegistryErrorList()`, `getDocumentRoot()`

### getDocumentRoot_RegistryProfile

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryProfile()

  Returns the meta object for the containment reference '`Registry Profile`'.

  Returns:
    the meta object for the containment reference 'Registry Profile'.
  See Also:
    `DocumentRoot.getRegistryProfile()`, `getDocumentRoot()`

### getDocumentRoot_RegistryResponse

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryResponse()

  Returns the meta object for the containment reference '`Registry Response`'.

  Returns:
    the meta object for the containment reference 'Registry Response'.
  See Also:
    `DocumentRoot.getRegistryResponse()`, `getDocumentRoot()`

### getDocumentRoot_RemoveObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_RemoveObjectsRequest()

  Returns the meta object for the containment reference '`Remove Objects Request`'.

  Returns:
    the meta object for the containment reference 'Remove Objects Request'.
  See Also:
    `DocumentRoot.getRemoveObjectsRequest()`, `getDocumentRoot()`

### getDocumentRoot_RemoveSlotsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_RemoveSlotsRequest()

  Returns the meta object for the containment reference '`Remove Slots Request`'.

  Returns:
    the meta object for the containment reference 'Remove Slots Request'.
  See Also:
    `DocumentRoot.getRemoveSlotsRequest()`, `getDocumentRoot()`

### getDocumentRoot_RequestAcceptedResponse

    org.eclipse.emf.ecore.EReference getDocumentRoot_RequestAcceptedResponse()

  Returns the meta object for the containment reference '`Request Accepted Response`'.

  Returns:
    the meta object for the containment reference 'Request Accepted Response'.
  See Also:
    `DocumentRoot.getRequestAcceptedResponse()`, `getDocumentRoot()`

### getDocumentRoot_RootElement

    org.eclipse.emf.ecore.EReference getDocumentRoot_RootElement()

  Returns the meta object for the containment reference '`Root Element`'.

  Returns:
    the meta object for the containment reference 'Root Element'.
  See Also:
    `DocumentRoot.getRootElement()`, `getDocumentRoot()`

### getDocumentRoot_SubmitObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_SubmitObjectsRequest()

  Returns the meta object for the containment reference '`Submit Objects Request`'.

  Returns:
    the meta object for the containment reference 'Submit Objects Request'.
  See Also:
    `DocumentRoot.getSubmitObjectsRequest()`, `getDocumentRoot()`

### getDocumentRoot_UpdateObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_UpdateObjectsRequest()

  Returns the meta object for the containment reference '`Update Objects Request`'.

  Returns:
    the meta object for the containment reference 'Update Objects Request'.
  See Also:
    `DocumentRoot.getUpdateObjectsRequest()`, `getDocumentRoot()`

### getOptionalFeaturesSupportedType

    org.eclipse.emf.ecore.EClass getOptionalFeaturesSupportedType()

  Returns the meta object for class '`Optional Features Supported Type`'.

  Returns:
    the meta object for class 'Optional Features Supported Type'.
  See Also:
    `OptionalFeaturesSupportedType`

### getOptionalFeaturesSupportedType_SqlQuery

    org.eclipse.emf.ecore.EAttribute getOptionalFeaturesSupportedType_SqlQuery()

  Returns the meta object for the attribute '`Sql Query`'.

  Returns:
    the meta object for the attribute 'Sql Query'.
  See Also:
    `OptionalFeaturesSupportedType.isSqlQuery()`, `getOptionalFeaturesSupportedType()`

### getOptionalFeaturesSupportedType_XQuery

    org.eclipse.emf.ecore.EAttribute getOptionalFeaturesSupportedType_XQuery()

  Returns the meta object for the attribute '`XQuery`'.

  Returns:
    the meta object for the attribute 'XQuery'.
  See Also:
    `OptionalFeaturesSupportedType.isXQuery()`, `getOptionalFeaturesSupportedType()`

### getRegistryErrorListType

    org.eclipse.emf.ecore.EClass getRegistryErrorListType()

  Returns the meta object for class '`Error List Type`'.

  Returns:
    the meta object for class 'Error List Type'.
  See Also:
    `RegistryErrorListType`

### getRegistryErrorListType_RegistryError

    org.eclipse.emf.ecore.EReference getRegistryErrorListType_RegistryError()

  Returns the meta object for the containment reference list '`Registry Error`'.

  Returns:
    the meta object for the containment reference list 'Registry Error'.
  See Also:
    `RegistryErrorListType.getRegistryError()`, `getRegistryErrorListType()`

### getRegistryErrorListType_HighestSeverity

    org.eclipse.emf.ecore.EAttribute getRegistryErrorListType_HighestSeverity()

  Returns the meta object for the attribute '`Highest Severity`'.

  Returns:
    the meta object for the attribute 'Highest Severity'.
  See Also:
    `RegistryErrorListType.getHighestSeverity()`, `getRegistryErrorListType()`

### getRegistryErrorType

    org.eclipse.emf.ecore.EClass getRegistryErrorType()

  Returns the meta object for class '`Error Type`'.

  Returns:
    the meta object for class 'Error Type'.
  See Also:
    `RegistryErrorType`

### getRegistryErrorType_Value

    org.eclipse.emf.ecore.EAttribute getRegistryErrorType_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `RegistryErrorType.getValue()`, `getRegistryErrorType()`

### getRegistryErrorType_CodeContext

    org.eclipse.emf.ecore.EAttribute getRegistryErrorType_CodeContext()

  Returns the meta object for the attribute '`Code Context`'.

  Returns:
    the meta object for the attribute 'Code Context'.
  See Also:
    `RegistryErrorType.getCodeContext()`, `getRegistryErrorType()`

### getRegistryErrorType_ErrorCode

    org.eclipse.emf.ecore.EAttribute getRegistryErrorType_ErrorCode()

  Returns the meta object for the attribute '`Error Code`'.

  Returns:
    the meta object for the attribute 'Error Code'.
  See Also:
    `RegistryErrorType.getErrorCode()`, `getRegistryErrorType()`

### getRegistryErrorType_Location

    org.eclipse.emf.ecore.EAttribute getRegistryErrorType_Location()

  Returns the meta object for the attribute '`Location`'.

  Returns:
    the meta object for the attribute 'Location'.
  See Also:
    `RegistryErrorType.getLocation()`, `getRegistryErrorType()`

### getRegistryErrorType_Severity

    org.eclipse.emf.ecore.EAttribute getRegistryErrorType_Severity()

  Returns the meta object for the attribute '`Severity`'.

  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `RegistryErrorType.getSeverity()`, `getRegistryErrorType()`

### getRegistryProfileType

    org.eclipse.emf.ecore.EClass getRegistryProfileType()

  Returns the meta object for class '`Profile Type`'.

  Returns:
    the meta object for class 'Profile Type'.
  See Also:
    `RegistryProfileType`

### getRegistryProfileType_OptionalFeaturesSupported

    org.eclipse.emf.ecore.EReference getRegistryProfileType_OptionalFeaturesSupported()

  Returns the meta object for the containment reference '`Optional Features Supported`'.

  Returns:
    the meta object for the containment reference 'Optional Features Supported'.
  See Also:
    `RegistryProfileType.getOptionalFeaturesSupported()`, `getRegistryProfileType()`

### getRegistryProfileType_Version

    org.eclipse.emf.ecore.EAttribute getRegistryProfileType_Version()

  Returns the meta object for the attribute '`Version`'.

  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `RegistryProfileType.getVersion()`, `getRegistryProfileType()`

### getRegistryResponseType

    org.eclipse.emf.ecore.EClass getRegistryResponseType()

  Returns the meta object for class '`Response Type`'.

  Returns:
    the meta object for class 'Response Type'.
  See Also:
    `RegistryResponseType`

### getRegistryResponseType_AdhocQueryResponse

    org.eclipse.emf.ecore.EReference getRegistryResponseType_AdhocQueryResponse()

  Returns the meta object for the containment reference '`Adhoc Query Response`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query Response'.
  See Also:
    `RegistryResponseType.getAdhocQueryResponse()`, `getRegistryResponseType()`

### getRegistryResponseType_GetContentResponse

    org.eclipse.emf.ecore.EReference getRegistryResponseType_GetContentResponse()

  Returns the meta object for the containment reference '`Get Content Response`'.

  Returns:
    the meta object for the containment reference 'Get Content Response'.
  See Also:
    `RegistryResponseType.getGetContentResponse()`, `getRegistryResponseType()`

### getRegistryResponseType_RegistryErrorList

    org.eclipse.emf.ecore.EReference getRegistryResponseType_RegistryErrorList()

  Returns the meta object for the containment reference '`Registry Error List`'.

  Returns:
    the meta object for the containment reference 'Registry Error List'.
  See Also:
    `RegistryResponseType.getRegistryErrorList()`, `getRegistryResponseType()`

### getRegistryResponseType_Status

    org.eclipse.emf.ecore.EAttribute getRegistryResponseType_Status()

  Returns the meta object for the attribute '`Status`'.

  Returns:
    the meta object for the attribute 'Status'.
  See Also:
    `RegistryResponseType.getStatus()`, `getRegistryResponseType()`

### getRemoveObjectsRequestType

    org.eclipse.emf.ecore.EClass getRemoveObjectsRequestType()

  Returns the meta object for class '`Remove Objects Request Type`'.

  Returns:
    the meta object for class 'Remove Objects Request Type'.
  See Also:
    `RemoveObjectsRequestType`

### getRemoveObjectsRequestType_ObjectRefList

    org.eclipse.emf.ecore.EReference getRemoveObjectsRequestType_ObjectRefList()

  Returns the meta object for the containment reference '`Object Ref List`'.

  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `RemoveObjectsRequestType.getObjectRefList()`, `getRemoveObjectsRequestType()`

### getRemoveObjectsRequestType_DeletionScope

    org.eclipse.emf.ecore.EAttribute getRemoveObjectsRequestType_DeletionScope()

  Returns the meta object for the attribute '`Deletion Scope`'.

  Returns:
    the meta object for the attribute 'Deletion Scope'.
  See Also:
    `RemoveObjectsRequestType.getDeletionScope()`, `getRemoveObjectsRequestType()`

### getRemoveSlotsRequestType

    org.eclipse.emf.ecore.EClass getRemoveSlotsRequestType()

  Returns the meta object for class '`Remove Slots Request Type`'.

  Returns:
    the meta object for class 'Remove Slots Request Type'.
  See Also:
    `RemoveSlotsRequestType`

### getRemoveSlotsRequestType_ObjectRef

    org.eclipse.emf.ecore.EReference getRemoveSlotsRequestType_ObjectRef()

  Returns the meta object for the containment reference '`Object Ref`'.

  Returns:
    the meta object for the containment reference 'Object Ref'.
  See Also:
    `RemoveSlotsRequestType.getObjectRef()`, `getRemoveSlotsRequestType()`

### getRemoveSlotsRequestType_Slot

    org.eclipse.emf.ecore.EReference getRemoveSlotsRequestType_Slot()

  Returns the meta object for the containment reference list '`Slot`'.

  Returns:
    the meta object for the containment reference list 'Slot'.
  See Also:
    `RemoveSlotsRequestType.getSlot()`, `getRemoveSlotsRequestType()`

### getRequestAcceptedResponseType

    org.eclipse.emf.ecore.EClass getRequestAcceptedResponseType()

  Returns the meta object for class '`Request Accepted Response Type`'.

  Returns:
    the meta object for class 'Request Accepted Response Type'.
  See Also:
    `RequestAcceptedResponseType`

### getRootElementType

    org.eclipse.emf.ecore.EClass getRootElementType()

  Returns the meta object for class '`Root Element Type`'.

  Returns:
    the meta object for class 'Root Element Type'.
  See Also:
    `RootElementType`

### getRootElementType_SubmitObjectsRequest

    org.eclipse.emf.ecore.EReference getRootElementType_SubmitObjectsRequest()

  Returns the meta object for the containment reference '`Submit Objects Request`'.

  Returns:
    the meta object for the containment reference 'Submit Objects Request'.
  See Also:
    `RootElementType.getSubmitObjectsRequest()`, `getRootElementType()`

### getRootElementType_UpdateObjectsRequest

    org.eclipse.emf.ecore.EReference getRootElementType_UpdateObjectsRequest()

  Returns the meta object for the containment reference '`Update Objects Request`'.

  Returns:
    the meta object for the containment reference 'Update Objects Request'.
  See Also:
    `RootElementType.getUpdateObjectsRequest()`, `getRootElementType()`

### getRootElementType_ApproveObjectsRequest

    org.eclipse.emf.ecore.EReference getRootElementType_ApproveObjectsRequest()

  Returns the meta object for the containment reference '`Approve Objects Request`'.

  Returns:
    the meta object for the containment reference 'Approve Objects Request'.
  See Also:
    `RootElementType.getApproveObjectsRequest()`, `getRootElementType()`

### getRootElementType_DeprecateObjectsRequest

    org.eclipse.emf.ecore.EReference getRootElementType_DeprecateObjectsRequest()

  Returns the meta object for the containment reference '`Deprecate Objects Request`'.

  Returns:
    the meta object for the containment reference 'Deprecate Objects Request'.
  See Also:
    `RootElementType.getDeprecateObjectsRequest()`, `getRootElementType()`

### getRootElementType_RemoveObjectsRequest

    org.eclipse.emf.ecore.EReference getRootElementType_RemoveObjectsRequest()

  Returns the meta object for the containment reference '`Remove Objects Request`'.

  Returns:
    the meta object for the containment reference 'Remove Objects Request'.
  See Also:
    `RootElementType.getRemoveObjectsRequest()`, `getRootElementType()`

### getRootElementType_AdhocQueryRequest

    org.eclipse.emf.ecore.EReference getRootElementType_AdhocQueryRequest()

  Returns the meta object for the containment reference '`Adhoc Query Request`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query Request'.
  See Also:
    `RootElementType.getAdhocQueryRequest()`, `getRootElementType()`

### getRootElementType_GetContentRequest

    org.eclipse.emf.ecore.EReference getRootElementType_GetContentRequest()

  Returns the meta object for the containment reference '`Get Content Request`'.

  Returns:
    the meta object for the containment reference 'Get Content Request'.
  See Also:
    `RootElementType.getGetContentRequest()`, `getRootElementType()`

### getRootElementType_AddSlotsRequest

    org.eclipse.emf.ecore.EReference getRootElementType_AddSlotsRequest()

  Returns the meta object for the containment reference '`Add Slots Request`'.

  Returns:
    the meta object for the containment reference 'Add Slots Request'.
  See Also:
    `RootElementType.getAddSlotsRequest()`, `getRootElementType()`

### getRootElementType_RemoveSlotsRequest

    org.eclipse.emf.ecore.EReference getRootElementType_RemoveSlotsRequest()

  Returns the meta object for the containment reference '`Remove Slots Request`'.

  Returns:
    the meta object for the containment reference 'Remove Slots Request'.
  See Also:
    `RootElementType.getRemoveSlotsRequest()`, `getRootElementType()`

### getRootElementType_RegistryResponse

    org.eclipse.emf.ecore.EReference getRootElementType_RegistryResponse()

  Returns the meta object for the containment reference '`Registry Response`'.

  Returns:
    the meta object for the containment reference 'Registry Response'.
  See Also:
    `RootElementType.getRegistryResponse()`, `getRootElementType()`

### getRootElementType_RegistryProfile

    org.eclipse.emf.ecore.EReference getRootElementType_RegistryProfile()

  Returns the meta object for the containment reference '`Registry Profile`'.

  Returns:
    the meta object for the containment reference 'Registry Profile'.
  See Also:
    `RootElementType.getRegistryProfile()`, `getRootElementType()`

### getSubmitObjectsRequestType

    org.eclipse.emf.ecore.EClass getSubmitObjectsRequestType()

  Returns the meta object for class '`Submit Objects Request Type`'.

  Returns:
    the meta object for class 'Submit Objects Request Type'.
  See Also:
    `SubmitObjectsRequestType`

### getSubmitObjectsRequestType_LeafRegistryObjectList

    org.eclipse.emf.ecore.EReference getSubmitObjectsRequestType_LeafRegistryObjectList()

  Returns the meta object for the containment reference '`Leaf Registry Object List`'.

  Returns:
    the meta object for the containment reference 'Leaf Registry Object List'.
  See Also:
    `SubmitObjectsRequestType.getLeafRegistryObjectList()`, `getSubmitObjectsRequestType()`

### getUpdateObjectsRequestType

    org.eclipse.emf.ecore.EClass getUpdateObjectsRequestType()

  Returns the meta object for class '`Update Objects Request Type`'.

  Returns:
    the meta object for class 'Update Objects Request Type'.
  See Also:
    `UpdateObjectsRequestType`

### getUpdateObjectsRequestType_LeafRegistryObjectList

    org.eclipse.emf.ecore.EReference getUpdateObjectsRequestType_LeafRegistryObjectList()

  Returns the meta object for the containment reference '`Leaf Registry Object List`'.

  Returns:
    the meta object for the containment reference 'Leaf Registry Object List'.
  See Also:
    `UpdateObjectsRequestType.getLeafRegistryObjectList()`, `getUpdateObjectsRequestType()`

### getDeletionScopeType

    org.eclipse.emf.ecore.EEnum getDeletionScopeType()

  Returns the meta object for enum '`Deletion Scope Type`'.

  Returns:
    the meta object for enum 'Deletion Scope Type'.
  See Also:
    `DeletionScopeType`

### getErrorType

    org.eclipse.emf.ecore.EEnum getErrorType()

  Returns the meta object for enum '`Error Type`'.

  Returns:
    the meta object for enum 'Error Type'.
  See Also:
    `ErrorType`

### getStatusType

    org.eclipse.emf.ecore.EEnum getStatusType()

  Returns the meta object for enum '`Status Type`'.

  Returns:
    the meta object for enum 'Status Type'.
  See Also:
    `StatusType`

### getDeletionScopeTypeObject

    org.eclipse.emf.ecore.EDataType getDeletionScopeTypeObject()

  Returns the meta object for data type '`Deletion Scope Type Object`'.

  Returns:
    the meta object for data type 'Deletion Scope Type Object'.
  See Also:
    `DeletionScopeType`

### getErrorTypeObject

    org.eclipse.emf.ecore.EDataType getErrorTypeObject()

  Returns the meta object for data type '`Error Type Object`'.

  Returns:
    the meta object for data type 'Error Type Object'.
  See Also:
    `ErrorType`

### getStatusTypeObject

    org.eclipse.emf.ecore.EDataType getStatusTypeObject()

  Returns the meta object for data type '`Status Type Object`'.

  Returns:
    the meta object for data type 'Status Type Object'.
  See Also:
    `StatusType`

### getRegistryFactory

    RegistryFactory getRegistryFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD